[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TField.IsBlob

Is the field a BLOB field (untyped data of indeterminate size).

## Declaration

Source position: db.pas line 396

`public class function TField.IsBlob: Boolean; virtual;`

## Function result

True if the field is a BLOB field, False otherwise.

## Description

IsBlob returns True if the field is one of the blob field types. The TField implementation returns false. Only one of the blob-type field classes override this function and let it return True.

## Errors

None.

## See also

TBlobField.IsBlob |  | Is the field a blob field